Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process
Class ProcessBaseFactoryService

    java.lang.Object
      org.jbpm.process.ProcessBaseFactoryService

All Implemented Interfaces:
  Service, org.kie.internal.KnowledgeBaseFactoryService

    public class ProcessBaseFactoryService

extends Object
implements org.kie.internal.KnowledgeBaseFactoryService

Constructor Summary
`ProcessBaseFactoryService()`

Method Summary
`org.kie.internal.KnowledgeBase` | `getKnowledgeBase(String arg0)`
`org.kie.internal.runtime.StatefulKnowledgeSession` | `getStatefulKnowlegeSession(String arg0)`
`Environment` | `newEnvironment()`
`org.kie.internal.KnowledgeBase` | `newKnowledgeBase()`
`org.kie.internal.KnowledgeBase` | `newKnowledgeBase(org.kie.internal.KieBaseConfiguration conf)`
`org.kie.internal.KnowledgeBase` | `newKnowledgeBase(String kbaseId)`
`org.kie.internal.KnowledgeBase` | `newKnowledgeBase(String kbaseId, org.kie.internal.KieBaseConfiguration conf)`
`org.kie.internal.KieBaseConfiguration` | `newKnowledgeBaseConfiguration()`
`org.kie.internal.KieBaseConfiguration` | `newKnowledgeBaseConfiguration(Properties properties, ClassLoader... classLoaders)`
`KieSessionConfiguration` | `newKnowledgeSessionConfiguration()`
`KieSessionConfiguration` | `newKnowledgeSessionConfiguration(Properties properties)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProcessBaseFactoryService

    public ProcessBaseFactoryService()

Method Detail

### newKnowledgeBaseConfiguration

    public org.kie.internal.KieBaseConfiguration newKnowledgeBaseConfiguration()

  Specified by:
    `newKnowledgeBaseConfiguration` in interface `org.kie.internal.KnowledgeBaseFactoryService`

### newKnowledgeBaseConfiguration

    public org.kie.internal.KieBaseConfiguration newKnowledgeBaseConfiguration(Properties properties,
                                                                               ClassLoader... classLoaders)

  Specified by:
    `newKnowledgeBaseConfiguration` in interface `org.kie.internal.KnowledgeBaseFactoryService`

### newKnowledgeSessionConfiguration

    public KieSessionConfiguration newKnowledgeSessionConfiguration()

  Specified by:
    `newKnowledgeSessionConfiguration` in interface `org.kie.internal.KnowledgeBaseFactoryService`

### newKnowledgeSessionConfiguration

    public KieSessionConfiguration newKnowledgeSessionConfiguration(Properties properties)

  Specified by:
    `newKnowledgeSessionConfiguration` in interface `org.kie.internal.KnowledgeBaseFactoryService`

### newKnowledgeBase

    public org.kie.internal.KnowledgeBase newKnowledgeBase()

  Specified by:
    `newKnowledgeBase` in interface `org.kie.internal.KnowledgeBaseFactoryService`

### newKnowledgeBase

    public org.kie.internal.KnowledgeBase newKnowledgeBase(String kbaseId)

  Specified by:
    `newKnowledgeBase` in interface `org.kie.internal.KnowledgeBaseFactoryService`

### newKnowledgeBase

    public org.kie.internal.KnowledgeBase newKnowledgeBase(org.kie.internal.KieBaseConfiguration conf)

  Specified by:
    `newKnowledgeBase` in interface `org.kie.internal.KnowledgeBaseFactoryService`

### newKnowledgeBase

    public org.kie.internal.KnowledgeBase newKnowledgeBase(String kbaseId,
                                                           org.kie.internal.KieBaseConfiguration conf)

  Specified by:
    `newKnowledgeBase` in interface `org.kie.internal.KnowledgeBaseFactoryService`

### newEnvironment

    public Environment newEnvironment()

  Specified by:
    `newEnvironment` in interface `org.kie.internal.KnowledgeBaseFactoryService`

### getKnowledgeBase

    public org.kie.internal.KnowledgeBase getKnowledgeBase(String arg0)

### getStatefulKnowlegeSession

    public org.kie.internal.runtime.StatefulKnowledgeSession getStatefulKnowlegeSession(String arg0)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.